package com.dashitech.migration.task.uc;

import com.dashitech.migration.BaseTask;
import com.dashitech.migration.core.FieldMapper;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @author song
 * @date 2024年10月12日
 */

@Component
public class DictionaryTask extends BaseTask {

    public static Log log = LogFactory.getLog(DictionaryTask.class);
    @Override
    public void start() {

    }

    @Override
    public FieldMapper loadCache() {
        return null;
    }


    public FieldMapper loadXiangYangCache() {
        log.info(" *** 加载襄阳字典缓存 *** ");
        FieldMapper mapper = new FieldMapper();
        Map<Long, Long> dicIdCache = new HashMap<>();
        mapper.setIdCache(dicIdCache);

        dicIdCache.put(71L, 20404L); //待审核
        dicIdCache.put(72L, 20405L); //已发布
        dicIdCache.put(73L, 20406L); //待整改
        dicIdCache.put(74L, 20407L); //已停用

        return mapper;
    }

    public FieldMapper loadNanJingCache() {
        log.info(" *** 加载南京字典缓存 *** ");
        FieldMapper mapper = new FieldMapper();
        Map<Long, Long> dicIdCache = new HashMap<>();
        mapper.setIdCache(dicIdCache);


        return mapper;
    }
}
