package com.dashitech.migration;

import com.dashitech.migration.task.uc.HospitalTask;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 迁移数据启动类
 * Created by CX on 2024/10/10.
 */
@Service
public class StartApplication {

    public static Log log = LogFactory.getLog(StartApplication.class);

    @Autowired
    SqlTask groupTask;

    @Autowired
    SqlTask userTask;

    @Autowired
    HospitalTask hospitalTask;

    public void start() {
        log.info("########### 开始迁移任务！###########");

        //工作组
//        groupTask.start();

//        userTask.start();

        groupTask.loadCache();

        log.info("########### 迁移任务完成！###########");
    }


}
